package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

/**
 * PurchaseOrderStatus generated by hbm2java
 */
@Entity
@Table(name="purchase_order_status"
    ,catalog="northwind"
)
public class PurchaseOrderStatus  implements java.io.Serializable {


     private int id;
     private String status;
     private Set<PurchaseOrders> purchaseOrderses = new HashSet<PurchaseOrders>(0);

    public PurchaseOrderStatus() {
    }

	
    public PurchaseOrderStatus(int id) {
        this.id = id;
    }
    public PurchaseOrderStatus(int id, String status, Set<PurchaseOrders> purchaseOrderses) {
       this.id = id;
       this.status = status;
       this.purchaseOrderses = purchaseOrderses;
    }
   
     @Id 
    
    @Column(name="id", unique=true, nullable=false)
    public int getId() {
        return this.id;
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    @Column(name="status", length=50)
    public String getStatus() {
        return this.status;
    }
    
    public void setStatus(String status) {
        this.status = status;
    }
@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="purchaseOrderStatus")
    public Set<PurchaseOrders> getPurchaseOrderses() {
        return this.purchaseOrderses;
    }
    
    public void setPurchaseOrderses(Set<PurchaseOrders> purchaseOrderses) {
        this.purchaseOrderses = purchaseOrderses;
    }




}


